# SubSprite Struct Reference

Used to only draw a part of the sprite. More...

`#include <gfx_type.h>`

## Data Fields
int | left
int | top
int | right
int | bottom

## Detailed Description

Used to only draw a part of the sprite.

Draw the subsprite in the rect (sprite_x_offset + left, sprite_y_offset + top) to (sprite_x_offset + right, sprite_y_offset + bottom). Both corners are included in the drawing area.

Definition at line 175 of file gfx_type.h.

The documentation for this struct was generated from the following file:

- src/gfx_type.h